using System;
using System.Text.Json.Serialization;
namespace org.accordproject.usa.business {
   using org.accordproject.geo;
   using org.accordproject.address;
   using concerto;
   enum BusinessEntity {
      GENERAL_PARTNERSHIP,
      LP,
      LLP,
      LLLP,
      LLC,
      PLLC,
      CORP,
      PC,
      DBA,
   }

   class BusinessLicense : Concept {
      [JsonPropertyName("$class")]
      public new string _class { get;} = "org.accordproject.usa.business.BusinessLicense";
      public string business_name { get; set; }
      public string category { get; set; }
      public DateTime current_license_valid_from { get; set; }
      public DateTime current_license_valid_to { get; set; }
      public PostalAddress address { get; set; }
      public long license_number { get; set; }
      public GeoCoordinates geocoded_location { get; set; }
   }
}
